﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GanttSample.aspx.cs" MasterPageFile="~/Site.Master" Inherits="GanttTestSample.GanttSample" %>

<%@ Register assembly="Syncfusion.EJ" namespace="Syncfusion.JavaScript.Models" tagprefix="ej" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ, Version=13.2400.0.29, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" %>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
        <ej:Gantt ID="Gantt" runat="server" AllowColumnResize="true" TaskIdMapping="TaskID" 
            TaskNameMapping="TaskName" StartDateMapping="StartDate" EndDateMapping="EndDate" 
            ProgressMapping="Progress" DurationMapping="Duration" 
            ChildMapping="SubTasks" EnableVirtualization="false" HighlightWeekends="true" 
            ScheduleStartDate="01/01/2015"  ScheduleEndDate="11/14/2015"
            Create="create"
            ShowGridCellTooltip="true" TreeColumnIndex="1"
            IncludeWeekend="false" EnableContextMenu="true" SelectedRowIndex="11">            

            <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,update,cancel,indent,outdent,expandAll,collapseAll,search" />
            <EditSettings AllowEditing="true" AllowAdding="true" AllowDeleting="true" EditMode="cellEditing" />            
        </ej:Gantt>
        <script>
            function create(args) {
                var ganttObj = $("#MainContent_Gantt").data("ejGantt");
                ganttObj._$treegridHelper.ejTreeGrid("updateScrollBar");
            }           
        </script>
    </asp:Content>